Summary:	A simple-in-use Qt based text editor
Name:		teaqt
Version:	19.1.0
Release:	%mkrel 1
Group:		Editors
License:	GPLv3+
URL:		http://tea-editor.sourceforge.net/
Source0:	http://ovh.dl.sourceforge.net/sourceforge/tea-editor/tea-%{version}.tar.bz2
Patch0:		teaqt-18.0.0-prefix.patch
BuildRoot:	%{_tmppath}/%{name}-root
Buildrequires:	qt4-devel
BuildRequires:	imagemagick aspell-devel

%description
Teaqt is a simple-in-use Qt-based text editor.

%prep
%setup -q -n tea-%version
%patch0 -p0

%build
%qmake_qt4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL_ROOT=%buildroot

mv %buildroot%_bindir/tea %buildroot%_bindir/%name

# icons
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
convert -resize 16x16 icons/tea_icon_v2.png %buildroot/%_miconsdir/%name.png
convert -resize 32x32 icons/tea_icon_v2.png %buildroot/%_iconsdir/%name.png
convert -resize 48x48 icons/tea_icon_v2.png %buildroot/%_liconsdir/%name.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=tea
Comment=A simple-in-use Qt-based text editor
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;TextEditor;Utility;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png
%_datadir/applications/*


%changelog
* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 19.1.0-1mdv2009.0
+ Revision: 278033
- update to new version 19.1.0

* Mon Aug 11 2008 Funda Wang <fundawang@mandriva.org> 19.0.5-1mdv2009.0
+ Revision: 270630
- New version 19.0.5

* Sat Aug 09 2008 Funda Wang <fundawang@mandriva.org> 19.0.2-1mdv2009.0
+ Revision: 270047
- update to new version 19.0.2

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 19.0.1-1mdv2009.0
+ Revision: 263755
- New version 19.0.1

* Sat Jul 12 2008 Funda Wang <fundawang@mandriva.org> 18.0.1-1mdv2009.0
+ Revision: 234080
- New version 18.0.1

* Sat Jul 05 2008 Funda Wang <fundawang@mandriva.org> 18.0.0-1mdv2009.0
+ Revision: 232010
- import teaqt


